Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2750213002: [LayoutNG] Don't pass parent NGFragmentBuilder into NGLineBuilder. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by ikilpatrick
Modified:
2 months, 1 week ago
Reviewers:
atotic, kojii
CC:
atotic+reviews_chromium.org, blink-reviews, blink-reviews-layout_chromium.org, cbiesinger, chromium-reviews, dgrogan+ng_chromium.org, eae+blinkwatch, glebl+reviews_chromium.org, jchaffraix+rendering, leviw+renderwatch, ojan+watch_chromium.org, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[LayoutNG] Don't pass parent NGFragmentBuilder into NGLineBuilder. BUG=636993 Review-Url: https://codereview.chromium.org/2750213002 Cr-Commit-Position: refs/heads/master@{#457822} Committed: https://chromium.googlesource.com/chromium/src/+/4c4039993456e1b2a0f861aaa56a947092e5e4b3

Patch Set 1 #

Patch Set 2 : no crashes! #

Patch Set 3 : rebase. #

Patch Set 4 : rebase fix. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -33 lines) Patch
M third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc View 1 1 chunk +2 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_inline_node.h View 1 2 2 chunks +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_inline_node.cc View 1 2 2 chunks +3 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_inline_node_test.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_line_builder.h View 1 2 3 2 chunks +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_line_builder.cc View 1 2 3 2 chunks +12 lines, -10 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (13 generated)
ikilpatrick
So this works because when we add this fragment to the parent (using AddChild) it ...
2 months, 1 week ago (2017-03-15 22:15:40 UTC) #2
kojii
+atotic@, can you help? Unfortunately this doesn't work, because: 1. |AddOutOfFlowChildCandidate()| adds to |out_of_flow_descendant_candidates_|. 2. ...
2 months, 1 week ago (2017-03-16 06:20:58 UTC) #4
ikilpatrick
On 2017/03/16 06:20:58, kojii wrote: > +atotic@, can you help? > > Unfortunately this doesn't ...
2 months, 1 week ago (2017-03-16 15:54:42 UTC) #5
kojii
On 2017/03/16 at 15:54:42, ikilpatrick wrote: > Right, so we need to decide if we ...
2 months, 1 week ago (2017-03-16 17:22:51 UTC) #6
ikilpatrick
On 2017/03/16 17:22:51, kojii wrote: > On 2017/03/16 at 15:54:42, ikilpatrick wrote: > > Right, ...
2 months, 1 week ago (2017-03-16 17:29:40 UTC) #7
kojii
On 2017/03/16 at 17:29:40, ikilpatrick wrote: > > So for inline there may be many ...
2 months, 1 week ago (2017-03-16 17:39:37 UTC) #8
ikilpatrick
On 2017/03/16 17:39:37, kojii wrote: > On 2017/03/16 at 17:29:40, ikilpatrick wrote: > > > ...
2 months, 1 week ago (2017-03-16 17:45:02 UTC) #9
kojii
lgtm, thank you for driving this.
2 months, 1 week ago (2017-03-16 19:45:30 UTC) #14
atotic
On 2017/03/16 at 19:45:30, kojii wrote: > lgtm, thank you for driving this. lgtm will ...
2 months, 1 week ago (2017-03-17 16:02:40 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2750213002/40001
2 months, 1 week ago (2017-03-17 16:15:14 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_android on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/cast_shell_android/builds/229917)
2 months, 1 week ago (2017-03-17 16:34:41 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2750213002/60001
2 months, 1 week ago (2017-03-17 16:50:13 UTC) #23
commit-bot: I haz the power
2 months, 1 week ago (2017-03-17 18:29:14 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/4c4039993456e1b2a0f861aaa56a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06